<template>
  <div class="p-5 space-y-4">
    <div class="p-3 mb-2 text-sm rounded bg-background2">
      {{ paymentInfo.Description }}
    </div>
    <div>
      <h3>{{ afterAmount }} {{ profile.Currency }} =</h3>
      <h1>{{ paymentInfo.Amount }} USDT</h1>
      <div class="mt-3">
        <div>{{ $t("transaction_fee") }} : {{ transactionFee }} USDT</div>
        <div class="fc-hint">
          {{
            $t(
              "please_note_that_the_exchange_rate_at_the_completion_of_the_transaction_may_differ_slightly_from_the_above."
            )
          }}
        </div>
      </div>
      <div class="flex items-center justify-center mt-5">
        <div class="p-2 bg-white rounded">
          <img :src="paymentInfo.QRCodeUrl" width="150" />
        </div>
      </div>

      <div class="mt-10 mb-2 font-bold">{{ $t("deposit_address") }}</div>
      <el-input
        v-model="paymentInfo.WalletAddress"
        v-un-focus
        disabled
      ></el-input>
      <div class="mt-1">
        <el-button
          type="primary"
          plain
          class="w-full"
          @click="copyTextToClipBoard(paymentInfo.WalletAddress)"
          >{{ $t("copy") }}</el-button
        >
      </div>
      <div class="mt-2 fc-hint">
        {{ $t("please_remember_the_wallet_address_for_payment") }}
      </div>
    </div>
  </div>
</template>
<script lang="ts">
import useCrytoPaymentViewDeposit from "@/composables/payment/deposit/useCrytoPaymentViewDeposit";
import useProfile from "@/composables/useProfile";
import commonHelper from "@/utils/commonHelper";
import { defineComponent, toRefs } from "vue";

export default defineComponent({
  name: "CryptoPaymentViewDeposit",
  props: {
    informations: {
      type: String,
      required: true,
      defualt: {} as string,
    },
  },
  setup(props) {
    const { profile } = useProfile();
    const { informations } = toRefs(props);
    const { copyTextToClipBoard } = commonHelper;
    const { paymentInfo, afterAmount, transactionFee } =
      useCrytoPaymentViewDeposit(informations);
    return {
      paymentInfo,
      copyTextToClipBoard,
      profile,
      afterAmount,
      transactionFee,
    };
  },
});
</script>
